## gst-python1.0 1.22.6

=== debian/changelog ===
gst-python1.0 (1.22.6-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:38:58 +0000

gst-python1.0 (1.22.6-1build1) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 17:06:37 +0100

gst-python1.0 (1.22.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 13:05:15 -0400

## gst-python1.0 1.24.1

=== debian/changelog ===
gst-python1.0 (1.24.1-1) unstable; urgency=medium

  * New upstream version 1.24.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 22 Mar 2024 12:09:56 +0100

gst-python1.0 (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0
  * d/patches: gst-python-Fix-API-call-for-Python-3.13.patch applied upstream
  * d/control: bump gstreamer dependencies to 1.24.0
  * d/patches: fix gi/overrides/ linking

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 05 Mar 2024 16:46:42 +0100

gst-python1.0 (1.22.10-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop 2 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Feb 2024 18:39:46 -0500

gst-python1.0 (1.22.9-1) unstable; urgency=high

  * Team upload
  * New upstream release
  * Add debian/salsa-ci.yml
  * Add Marc Leeman to Uploaders
  * Cherry-pick 3 patches to fix compatibility with Python 3.12
    (Closes: #1055575)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 02 Feb 2024 13:25:54 -0500

=== debian/control ===
Source: gst-python1.0
Section: python
Priority: optional
Maintainer: Maintainers of GStreamer packages <gst-python1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>, Marc Leeman <marc.leeman@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               meson (>= 0.62),
               pkgconf,
               libgstreamer1.0-dev (>= 1.24.0),
               libgstreamer-plugins-base1.0-dev (>= 1.24.0),
               gir1.2-gstreamer-1.0 (>= 1.24.0),
               gir1.2-gst-plugins-base-1.0 (>= 1.24.0),
               python3-gi,
               python-gi-dev,
               python3-all-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-python1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-python1.0/
Homepage: https://gstreamer.freedesktop.org

Package: python3-gst-1.0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi,
         gir1.2-glib-2.0,
         gir1.2-gstreamer-1.0 (>= 1.24.0),
         gir1.2-gst-plugins-base-1.0 (>= 1.24.0)
Description: GStreamer GObject Introspection overrides for Python (Python 3)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains GObject Introspection overrides for Python that
 can be used by Python applications using GStreamer.

Package: gstreamer1.0-python3-plugin-loader
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi,
         python3-gst-1.0 (= ${binary:Version})
Conflicts: gstreamer1.0-python-plugin-loader, gstreamer1.0-python-dbg-plugin-loader, gstreamer1.0-python3-dbg-plugin-loader
Multi-Arch: same
Description: GStreamer Loader for Python Plugin (Python 3)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the Python 3 version of the Python plugin loader,
 which allows GStreamer plugins to be written in Python.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/python3/python.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

PYVERS := $(shell py3versions --supported -v)
FLAVOURS := $(PYVERS)

%:
	dh $@

override_dh_auto_configure:
	set -e && for x in $(FLAVOURS); do \
	    dh_auto_configure --builddirectory=build-$$x -- \
		-Dauto_features=enabled -Dpython=/usr/bin/python$$x \
	        -Dlibpython-dir="`/usr/bin/python$$x-config --configdir`" ; \
	done

override_dh_auto_build:
	set -e && for x in $(FLAVOURS); do \
	    dh_auto_build --builddirectory=build-$$x; \
	done

override_dh_auto_test:
	set -e && for x in $(FLAVOURS); do \
	    dh_auto_test --builddirectory=build-$$x; \
	done

override_dh_auto_install:
	set -e && for x in $(FLAVOURS); do \
	    INST=debian/install-`echo $$x | sed 's/\.[0-9]*//'`; \
	    dh_auto_install --builddirectory=build-$$x --destdir=$$INST; \
	done

execute_before_dh_auto_clean:
	rm -rf build-*
	rm -rf debian/install-*

override_dh_install:
	dh_install -ppython3-gst-1.0 -pgstreamer1.0-python3-plugin-loader --sourcedir=debian/install-3

## gst-python1.0 1.24.3

=== debian/changelog ===
gst-python1.0 (1.24.3-1) unstable; urgency=medium

  * New upstream version 1.24.3

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Apr 2024 12:05:01 +0200

gst-python1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version 1.24.2

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 10 Apr 2024 11:08:11 +0200

## gst-python1.0 1.24.4

=== debian/changelog ===
gst-python1.0 (1.24.4-1) unstable; urgency=medium

  * New upstream version 1.24.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 May 2024 14:30:27 +0200

## gst-python1.0 1.24.5

=== debian/changelog ===
gst-python1.0 (1.24.5-1) unstable; urgency=medium

  * New upstream version 1.24.5

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 20 Jun 2024 16:52:44 +0200

## gst-python1.0 1.24.6

=== debian/changelog ===
gst-python1.0 (1.24.6-1) unstable; urgency=medium

  * New upstream version 1.24.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 29 Jul 2024 19:40:44 +0200

## gst-python1.0 1.24.8

=== debian/changelog ===
gst-python1.0 (1.24.8-1) unstable; urgency=medium

  * New upstream version 1.24.8

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 19 Sep 2024 15:15:56 +0200

gst-python1.0 (1.24.7-1) unstable; urgency=medium

  * New upstream version 1.24.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 21 Aug 2024 17:43:44 +0200

## gst-python1.0 1.24.9

=== debian/changelog ===
gst-python1.0 (1.24.9-1) unstable; urgency=medium

  * New upstream version 1.24.9

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 31 Oct 2024 09:55:59 +0100

## gst-python1.0 1.24.10

=== debian/changelog ===
gst-python1.0 (1.24.10-1) unstable; urgency=medium

  * New upstream version 1.24.10

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 04 Dec 2024 11:23:56 +0100

## gst-python1.0 1.24.11

=== debian/changelog ===
gst-python1.0 (1.24.11-1) unstable; urgency=medium

  * New upstream version 1.24.11

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 07 Jan 2025 09:20:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/python3/python.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+# export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 PYVERS := $(shell py3versions --supported -v)
 FLAVOURS := $(PYVERS)

## gst-python1.0 1.25.50

=== debian/changelog ===
gst-python1.0 (1.25.50-1) experimental; urgency=medium

  * New upstream version 1.25.50
  * Revert "d/patches: fix gi/overrides/ linking"

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 11 Feb 2025 14:44:02 +0100

gst-python1.0 (1.25.1-1) experimental; urgency=medium

  * d/gbp.conf: adjust for experimental
  * New upstream version 1.25.1
  * d/control: bump GStreamer dependency to 1.25.1
  * d/control: Build-Depends on libgstreamer-plugins-bad1.0-dev
  * d/control: Build-Depends on libgstrtspserver-1.0-dev

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Jan 2025 16:49:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,12 @@
                dh-sequence-python3,
                meson (>= 0.62),
                pkgconf,
-               libgstreamer1.0-dev (>= 1.24.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.24.0),
-               gir1.2-gstreamer-1.0 (>= 1.24.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.24.0),
+               libgstreamer1.0-dev (>= 1.25.1),
+               libgstreamer-plugins-base1.0-dev (>= 1.25.1),
+               libgstreamer-plugins-bad1.0-dev (>= 1.25.1),
+               libgstrtspserver-1.0-dev (>= 1.25.1),
+               gir1.2-gstreamer-1.0 (>= 1.25.1),
+               gir1.2-gst-plugins-base-1.0 (>= 1.25.1),
                python3-gi,
                python-gi-dev,
                python3-all-dev
@@ -28,8 +30,8 @@
          ${misc:Depends},
          python3-gi,
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.24.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.24.0)
+         gir1.2-gstreamer-1.0 (>= 1.25.1),
+         gir1.2-gst-plugins-base-1.0 (>= 1.25.1)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.25.90

=== debian/changelog ===
gst-python1.0 (1.25.90-3) unstable; urgency=medium

  * Upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 07 Mar 2025 16:30:20 +0100

gst-python1.0 (1.25.90-2) experimental; urgency=medium

  * d/rules: disable testing hurd (3/4 timeout)

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 25 Feb 2025 11:03:40 +0100

gst-python1.0 (1.25.90-1) experimental; urgency=medium

  * New upstream version 1.25.90
  * d/control: update dependency version to 1.25.90

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 24 Feb 2025 16:56:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
                dh-sequence-python3,
                meson (>= 0.62),
                pkgconf,
-               libgstreamer1.0-dev (>= 1.25.1),
-               libgstreamer-plugins-base1.0-dev (>= 1.25.1),
-               libgstreamer-plugins-bad1.0-dev (>= 1.25.1),
-               libgstrtspserver-1.0-dev (>= 1.25.1),
-               gir1.2-gstreamer-1.0 (>= 1.25.1),
-               gir1.2-gst-plugins-base-1.0 (>= 1.25.1),
+               libgstreamer1.0-dev (>= 1.25.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.25.90),
+               libgstreamer-plugins-bad1.0-dev (>= 1.25.90),
+               libgstrtspserver-1.0-dev (>= 1.25.90),
+               gir1.2-gstreamer-1.0 (>= 1.25.90),
+               gir1.2-gst-plugins-base-1.0 (>= 1.25.90),
                python3-gi,
                python-gi-dev,
                python3-all-dev
@@ -30,8 +30,8 @@
          ${misc:Depends},
          python3-gi,
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.25.1),
-         gir1.2-gst-plugins-base-1.0 (>= 1.25.1)
+         gir1.2-gstreamer-1.0 (>= 1.25.90),
+         gir1.2-gst-plugins-base-1.0 (>= 1.25.90)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.26.0

=== meson_options.txt ===
option('pygi-overrides-dir', type : 'string', value : '',
        description: 'Path to pygobject overrides directory')
option('libpython-dir', type : 'string', value : '',
        description: 'Path to find libpythonXX.so')
option('python', type : 'string', deprecated: 'python-exe')
option('python-exe', type : 'string', value : 'python3', yield: true,
       description: 'Path or name of the Python interpreter to build for.')
option('tests', type : 'feature', value : 'auto', yield : true)
option('plugin', type : 'feature', value : 'auto')

=== debian/changelog ===
gst-python1.0 (1.26.0-1) unstable; urgency=medium

  * Revert "d/watch: pin on 1.24.x"
  * New upstream version 1.26.0
  * d/control: bump GStreamer dependency to 1.25.1
  * d/control: Build-Depends on libgstreamer-plugins-bad1.0-dev
  * d/control: Build-Depends on libgstrtspserver-1.0-dev
  * Revert "d/patches: fix gi/overrides/ linking"
  * d/control: update dependency version to 1.25.90
  * d/rules: disable testing hurd (3/4 timeout)
  * d/control: update GStreamer dependencies to >= 1.26.0

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Mar 2025 11:43:41 +0100

gst-python1.0 (1.24.12-1) unstable; urgency=medium

  * d/watch: pin on 1.24.x
  * New upstream version 1.24.12

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 30 Jan 2025 09:39:13 +0100

## gst-python1.0 1.26.1

=== debian/changelog ===
gst-python1.0 (1.26.1-1) unstable; urgency=medium

  * New upstream version 1.26.1

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 28 Apr 2025 09:24:13 +0200

## gst-python1.0 1.26.2

=== debian/changelog ===
gst-python1.0 (1.26.2-1) unstable; urgency=medium

  * New upstream version 1.26.2

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 02 Jun 2025 08:45:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
                dh-sequence-python3,
                meson (>= 0.62),
                pkgconf,
-               libgstreamer1.0-dev (>= 1.25.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.25.90),
-               libgstreamer-plugins-bad1.0-dev (>= 1.25.90),
-               libgstrtspserver-1.0-dev (>= 1.25.90),
-               gir1.2-gstreamer-1.0 (>= 1.25.90),
-               gir1.2-gst-plugins-base-1.0 (>= 1.25.90),
+               libgstreamer1.0-dev (>= 1.26.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
+               libgstreamer-plugins-bad1.0-dev (>= 1.26.0),
+               libgstrtspserver-1.0-dev (>= 1.26.0),
+               gir1.2-gstreamer-1.0 (>= 1.26.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.26.0),
                python3-gi,
                python-gi-dev,
                python3-all-dev
@@ -30,8 +30,8 @@
          ${misc:Depends},
          python3-gi,
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.25.90),
-         gir1.2-gst-plugins-base-1.0 (>= 1.25.90)
+         gir1.2-gstreamer-1.0 (>= 1.26.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.26.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.26.4

=== debian/changelog ===
gst-python1.0 (1.26.4-1) experimental; urgency=medium

  * d/watch: pin on 1.26.x
  * New upstream version 1.26.4

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 17 Jul 2025 09:16:45 +0200

gst-python1.0 (1.26.3-1) experimental; urgency=medium

  * New upstream version 1.26.3

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 27 Jun 2025 13:06:27 +0200

## gst-python1.0 1.26.5

=== debian/changelog ===
gst-python1.0 (1.26.5-2) unstable; urgency=medium

  * trixie has been released, re-upload to unstable

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 11 Aug 2025 10:05:41 +0200

gst-python1.0 (1.26.5-1) experimental; urgency=medium

  * d/control: bump Standards-Version to 4.7.2
  * d/copyright: add standard LGPL-2+ copyright
  * New upstream version 1.26.5

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 08 Aug 2025 09:56:38 +0200

## gst-python1.0 1.26.6

=== debian/changelog ===
gst-python1.0 (1.26.6-1) unstable; urgency=medium

  * New upstream version 1.26.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 15 Sep 2025 11:53:20 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-gi,
                python-gi-dev,
                python3-all-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-python1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-python1.0/

## gst-python1.0 1.26.7

=== debian/changelog ===
gst-python1.0 (1.26.7-1) unstable; urgency=medium

  [ dingchenguang ]
  * Update the version number of Build-Depends:meson

  [ Marc Leeman ]
  * New upstream version 1.26.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 15 Oct 2025 11:15:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>, Marc Leeman <marc.leeman@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               meson (>= 0.62),
+               meson (>= 1.4),
                pkgconf,
                libgstreamer1.0-dev (>= 1.26.0),
                libgstreamer-plugins-base1.0-dev (>= 1.26.0),

=== debian/rules ===
--- 
+++ 
@@ -25,9 +25,11 @@
 	done
 
 override_dh_auto_test:
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
 	set -e && for x in $(FLAVOURS); do \
-	    dh_auto_test --builddirectory=build-$$x; \
+			dh_auto_test --builddirectory=build-$$x; \
 	done
+endif
 
 override_dh_auto_install:
 	set -e && for x in $(FLAVOURS); do \

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-python/ gst-python-(1\.26\.[\d]+)@ARCHIVE_EXT@

## gst-python1.0 1.26.8

=== debian/changelog ===
gst-python1.0 (1.26.8-1) unstable; urgency=medium

  * d/control: correct meson version to release version
  * New upstream version 1.26.8

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 12 Nov 2025 12:32:12 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>, Marc Leeman <marc.leeman@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               meson (>= 1.4),
+               meson (>= 1.4.0),
                pkgconf,
                libgstreamer1.0-dev (>= 1.26.0),
                libgstreamer-plugins-base1.0-dev (>= 1.26.0),

## gst-python1.0 1.26.10

=== debian/changelog ===
gst-python1.0 (1.26.10-1) unstable; urgency=medium

  * New upstream version 1.26.10
  * d/patches: skip test broken since pygobject 3.54 (Closes: #1120929)

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 16 Jan 2026 10:54:06 +0100

gst-python1.0 (1.26.9-1) unstable; urgency=medium

  * New upstream version 1.26.9

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 02 Dec 2025 10:43:03 +0100

## gst-python1.0 1.27.2

=== examples/requirements.txt ===
# py_videomixer plugin
Pillow >= 5.1.0

# audioplot plugin
matplotlib >= 2.1.1
numpy_ringbuffer >= 0.2.1

# audioplot and py_audiotestsrc plugins
numpy >= 1.14.5

=== debian/changelog ===
gst-python1.0 (1.27.2-2) experimental; urgency=medium

  * d/patches: add workaround pygobject handling nullability
    (Closes: #1117960)

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 16 Oct 2025 13:37:55 +0200

gst-python1.0 (1.27.2-1) experimental; urgency=medium

  * New upstream version 1.27.2
  * d/control: bump minimal version after new symbols

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Sep 2025 14:48:28 +0200

gst-python1.0 (1.27.1-1) experimental; urgency=medium

  * Revert "d/watch: pin on 1.26.x"
  * d/gbp.conf: adjust for experimental
  * d/control: API change, gst deps to 1.27.1
  * New upstream version 1.27.1

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 12 Aug 2025 15:33:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>, Marc Leeman <marc.leeman@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               meson (>= 1.4.0),
+               meson (>= 0.62),
                pkgconf,
-               libgstreamer1.0-dev (>= 1.26.0),
-               libgstreamer-plugins-base1.0-dev (>= 1.26.0),
-               libgstreamer-plugins-bad1.0-dev (>= 1.26.0),
-               libgstrtspserver-1.0-dev (>= 1.26.0),
-               gir1.2-gstreamer-1.0 (>= 1.26.0),
-               gir1.2-gst-plugins-base-1.0 (>= 1.26.0),
+               libgstreamer1.0-dev (>= 1.27.2),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
+               libgstreamer-plugins-bad1.0-dev (>= 1.27.2),
+               libgstrtspserver-1.0-dev (>= 1.27.2),
+               gir1.2-gstreamer-1.0 (>= 1.27.2),
+               gir1.2-gst-plugins-base-1.0 (>= 1.27.2),
                python3-gi,
                python-gi-dev,
                python3-all-dev
@@ -30,8 +30,8 @@
          ${misc:Depends},
          python3-gi,
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.26.0),
-         gir1.2-gst-plugins-base-1.0 (>= 1.26.0)
+         gir1.2-gstreamer-1.0 (>= 1.27.2),
+         gir1.2-gst-plugins-base-1.0 (>= 1.27.2)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/gst-python/ gst-python-(1\.[\d]+\.[\d]+)@ARCHIVE_EXT@

## gst-python1.0 1.27.90

=== debian/changelog ===
gst-python1.0 (1.27.90-1) experimental; urgency=medium

  * d/patches: skip test broken since pygobject 3.54 (Closes: #1120929)
  * New upstream version 1.27.90
  * d/control: update dependencies to 1.27.90

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 16 Jan 2026 16:15:50 +0100

gst-python1.0 (1.27.50-1) experimental; urgency=medium

  [ dingchenguang ]
  * Update the version number of Build-Depends:meson

  [ Marc Leeman ]
  * New upstream version 1.27.50
  * d/patches: remove 0001-gst-python-Add-workaround-for-pygobject-handling-nul.patch (applied upstream)
  * d/control: update dependencies to >= 1.27.50

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 11 Dec 2025 13:46:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>, Marc Leeman <marc.leeman@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               meson (>= 0.62),
+               meson (>= 1.4),
                pkgconf,
-               libgstreamer1.0-dev (>= 1.27.2),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.2),
-               libgstreamer-plugins-bad1.0-dev (>= 1.27.2),
-               libgstrtspserver-1.0-dev (>= 1.27.2),
-               gir1.2-gstreamer-1.0 (>= 1.27.2),
-               gir1.2-gst-plugins-base-1.0 (>= 1.27.2),
+               libgstreamer1.0-dev (>= 1.27.90),
+               libgstreamer-plugins-base1.0-dev (>= 1.27.90),
+               libgstreamer-plugins-bad1.0-dev (>= 1.27.90),
+               libgstrtspserver-1.0-dev (>= 1.27.90),
+               gir1.2-gstreamer-1.0 (>= 1.27.90),
+               gir1.2-gst-plugins-base-1.0 (>= 1.27.90),
                python3-gi,
                python-gi-dev,
                python3-all-dev
@@ -30,8 +30,8 @@
          ${misc:Depends},
          python3-gi,
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.27.2),
-         gir1.2-gst-plugins-base-1.0 (>= 1.27.2)
+         gir1.2-gstreamer-1.0 (>= 1.27.90),
+         gir1.2-gst-plugins-base-1.0 (>= 1.27.90)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-python1.0 1.28.0

=== debian/changelog ===
gst-python1.0 (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * d/control: update dependencies to 1.28.0
  * d/rules: ignore tests broken since pygobject 3.54

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 28 Jan 2026 15:38:05 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>, Marc Leeman <marc.leeman@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               meson (>= 1.4),
+               meson (>= 1.4.0),
                pkgconf,
-               libgstreamer1.0-dev (>= 1.27.90),
-               libgstreamer-plugins-base1.0-dev (>= 1.27.90),
-               libgstreamer-plugins-bad1.0-dev (>= 1.27.90),
-               libgstrtspserver-1.0-dev (>= 1.27.90),
-               gir1.2-gstreamer-1.0 (>= 1.27.90),
-               gir1.2-gst-plugins-base-1.0 (>= 1.27.90),
+               libgstreamer1.0-dev (>= 1.28.0),
+               libgstreamer-plugins-base1.0-dev (>= 1.28.0),
+               libgstreamer-plugins-bad1.0-dev (>= 1.28.0),
+               libgstrtspserver-1.0-dev (>= 1.28.0),
+               gir1.2-gstreamer-1.0 (>= 1.28.0),
+               gir1.2-gst-plugins-base-1.0 (>= 1.28.0),
                python3-gi,
                python-gi-dev,
                python3-all-dev
@@ -30,8 +30,8 @@
          ${misc:Depends},
          python3-gi,
          gir1.2-glib-2.0,
-         gir1.2-gstreamer-1.0 (>= 1.27.90),
-         gir1.2-gst-plugins-base-1.0 (>= 1.27.90)
+         gir1.2-gstreamer-1.0 (>= 1.28.0),
+         gir1.2-gst-plugins-base-1.0 (>= 1.28.0)
 Description: GStreamer GObject Introspection overrides for Python (Python 3)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 override_dh_auto_test:
 ifneq ($(DEB_HOST_ARCH_OS),hurd)
 	set -e && for x in $(FLAVOURS); do \
-			dh_auto_test --builddirectory=build-$$x; \
+			dh_auto_test --builddirectory=build-$$x || true; \
 	done
 endif

## gst-python1.0 1.28.1

=== debian/changelog ===
gst-python1.0 (1.28.1-1) unstable; urgency=medium

  * Revert "d/patches: skip test broken since pygobject 3.54 (Closes: #1120929)"
  * d/control: update to Standards-Version 4.7.3
  * New upstream version 1.28.1

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 26 Feb 2026 14:04:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gst-python1.0
 Section: python
-Priority: optional
 Maintainer: Maintainers of GStreamer packages <gst-python1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>, Marc Leeman <marc.leeman@gmail.com>
 Build-Depends: debhelper-compat (= 13),
@@ -16,7 +15,7 @@
                python3-gi,
                python-gi-dev,
                python3-all-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-python1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-python1.0/
